.clear {
  clear:both;
}

.huviz_wrapper {
  position: relative;
  height: 100%;
}

.the-tabs {
  font-size:80%;
}

.huviz_wrapper .huviz_tabs {
  position: absolute;
  /* position: fixed; */
  width: 26em;
  right: 0px;
  font-size: 80%;
  z-index: 3;
  height: 100%;
  border-top: none;
  border-bottom: none;
  border-radius: inherit;
  border-left-width:2px;
  border-left-style:groove;
  border-left-color:#ddd;
  padding: 0;
  font-family: helvetica, arial, verdana, sans-serif;
}
.huviz_tabs .ui-tabs-nav{
  margin: 0;
  padding: .2em .2em 0;
  background-color: #157fcc;
  border-radius: inherit;
  border-left: none;
  border-right: none;
  border-top: none;
  padding-top: 5px;
}
.huviz_tabs li.ui-tabs-tab.ui-state-default {
  background: inherit;
  background-color: #e9f5ff;
}
.huviz_tabs li.ui-tabs-tab.ui-state-active {
  background: inherit;
  background-color: #fff;
}

.huviz_tabs .ui-widget-header {
  border-top: none;
  border-left: none;
  border-right: none;
  /*background: #157fcc url(images/ui-bg_highlight-soft_75_cccccc_1x100.png) 50% 50% repeat-x;*/
  background: #157fcc 50% 50% repeat-x;
  color: #222222;
  font-weight: bold;
}
.tabs-help {
  position: absolute;
  right: 0;
  top: 5px;
  border: none;
  background: none;
  font-size: 1.3em;
  color: #d6e7ff;
}
.tabs-help:hover {
  color: #fff;
}
.ctrl_handle {
  background-color: #ccc;
  border-left: solid 1px #bbb;
  width: 1px;
  left: -2px;
}
.ctrl_handle_grip {
  background-color: #ddd;
  height: 30px;
  top: 45%;
  width: 8px;
  border-radius: 5px 0 0 5px;
  position: absolute;
  margin-left:-8px;
  border-left: solid 1px #bbb;
}
.collapse_cntrl, .expand_cntrl, .full_screen{
  background-color: #157fcc;
  display: block;
  position: absolute;
  z-index: 1;
  width: 1.2em;
  height: 1.2em;
  text-align: center;
  cursor: pointer;
  font-weight: bold;
  border-bottom-left-radius: 5px;
  font-size: 1.2em;
  padding:0;
  margin:0;
  color:#ddd;
}
.collapse_cntrl{
  left: -1.2em;
}
.expand_cntrl {
  right: 0;
}
.collapse_cntrl i, .full_screen i{
  padding:0;
  margin:0;
}
.full_screen{
  font-size: 0.8em;
  border-bottom-left-radius: inherit;
  border-bottom-right-radius: 5px;
  padding: 0 2px 2px 0;
}

.scrolling_tab {
  max-height: 100%;
  overflow: auto;
}
.tab-content-container {
  background-color: #f0f;
}
/* ------------------- Setting Control Styles -------------------- */

.huviz_tabs .settings/*, .huviz_tabs .tabs-sparqlQueries*/ { /* put them in the upper right, above the graph */
  right: .2em;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0;
  margin: 0;
  height: 95%;
}
.huviz_tabs .tabs-sparqlQueries {
  right: .2em;
  padding: 0;
  margin: 0;
  height: 95%;
}

.settingGroupsContainer .settingsGroup.ui-accordion-content {
  padding: 0.2em;
}

.settingsGroup {
  color: #555;
  margin: 5px;
  border-radius: 5px;
  -webkit-box-shadow: 0px 1px 3px 1px rgba(201,201,201,1);
  -moz-box-shadow: 0px 1px 3px 1px rgba(201,201,201,1);
  box-shadow: 0px 1px 3px 1px rgba(201,201,201,1);
  padding: 0.2px;
}
.a_setting {
  border-bottom: solid 1px #ccc;
  padding: 0.3em;
}

.a_setting input {
  cursor: inherit;
  float: right;
}
.a_setting label {
  cursor: inherit;
}

.settings label { /* slide them to the right */
  clear: both;
  text-transform: capitalize;
}
.settings h1 {
  font-size: 1.1em;
  text-transform: uppercase;
  background-color: #dfeffa;
  padding: 0.2em 0.4em;
  margin: 0;
}

.settings .setting_explanation {
  font-size: 0.8em;
  color: #757575;
  margin-left: 0.5em;
}
.a_setting button {
  float: right;
  clear: both;
}
.a_setting select {
  float: right;
  clear: both;
}
.geo_input_wrap {
  float: right;
  clear: both;
  border:2px solid;
  padding:2px;
}
.geo_input_wrap i{
  line-height: 1.8em;
}
.geo_input_wrap input{
  margin-left: 5px;
}

.a_setting.alpha_feature {
  color: #a1001c;
  font-style: italic;
}

.a_setting.deprecated_feature {
  color: orange;
  font-style: bold;
  text-decoration: line-through;
}

.huviz_tabs .huvis_controls {
  padding: 0.4em;
  padding-bottom: 0.2em;
}

.huviz_tabs .huvis_controls {
  padding: 0.4em;
  padding-bottom: 0.2em;
}

/* Attribution Information */
.usage_attribution {
  background-color: #eee;
  padding: .5em;
  clear: both;
  margin: 1em 0;
}
.tabs-intro .usage_attribution p {
  text-indent: 0;
  font-size: .9em;
}

.matching_box {
  height:1.3em;
  min-width:7em;
  background-color:lightgrey;
  float:left;
  border-width:1px;
  cursor: text;
}
.matching_box:before {
  content: "Find: ";
  font-style: italic;
}
#show_links {
  background-color: lightblue;
  cursor: pointer;
}
#hide_links {
  background-color: lightblue;
  cursor: pointer;
}
#display_tech {
  background-color: lightblue;
  cursor: pointer;
}
#status {
  background-color:lightgrey;
  position:absolute;
  bottom: -0.8em;
  right: .2em;
  font-size: 120%;
  z-index: -100;
  user-select: none;
}
#snippet_box {
  position:absolute;
  top: .2em;
  left: .2em;
  font-size: 90%;
  width: 3px;
  height: 30%;
}
.data_ontology_display {
  background-color: #eee;
  color: #555;
  font-size: 90%;
  padding: 5px 0 5px 5px;
  border-bottom: solid 1px #ccc;
  margin-bottom: 10px;
  margin-left: -.4em;
  margin-right: -.4em;
}
.data_ontology_display p:first-of-type{
  margin-right: 4%;
}

.dt_label{
  font-size: 80%;
  color: #fff;
  background-color: #585858;
  padding: 2px;
  border-radius: 2px;
  margin-right: 3px;
}

/* -------- Loading Message Styles ------------ */
#state_msg_box {
  width: 100%;
  height: 100vh;
  margin: 0px;
  border: 0px;
  position:fixed;
  border-radius: 20px;
  z-index: 5;
  display: flex;
  justify-content: center;
  align-items: center;
}
.msg_backdrop{
  background-color: #000;
  opacity: 0.3;
  width: 100%;
  height: 100vh;
  margin: 0px;
  border: 0px;
  position:fixed;
  z-index: 5;
}
.msg_payload {
  background-color: #fff;
  height: 100px;
  width: 300px;
  text-align: center;
  z-index: 6;
  padding:1em;
  border-radius:20px;
  box-shadow: 5px 10px 10px #888888;
  overflow: hidden;
}
.msg_payload p{
  float: inherit;
  margin: 0;
}
.msg_payload h3{
  margin: .3em;
}

progress[value]{
  /* Reset the default appearance */
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  height: 15px;
  width: 200px;
  margin-top:10px;
}
progress[value]::-webkit-progress-bar {
  background-color: #eee;
  border-radius: 2px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25) inset;
}
progress[value]::-webkit-progress-value {
  background-image:
    -webkit-linear-gradient(top,
	                    rgba(255, 255, 255, .25),
	                    rgba(0, 0, 0, .25)),
    -webkit-linear-gradient(left, green, green);
  border-radius: 2px;
  background-size: 35px 20px, 100% 100%, 100% 100%;
}
progress[value]::-moz-progress-bar {
  background-image:
    -moz-linear-gradient(
      top,
      rgba(255, 255, 255, 0.25),
      rgba(0, 0, 0, 0.25)
    ),
    -moz-linear-gradient(
      left,
      green,
      green
    );
}

.semantic-version {
  font-size: 30%;
  font-color: grey;
}
.git_commit_hash_watermark {
  font-size: 80%;
  text-decoration: none;
  position: absolute;
  bottom: 2.6em;
  /*left:49%*/
  width: 100%;
  display: block;
  text-align:center;
}
a.git_commit_hash_watermark {
  margin-bottom: 0.5em;
}
.control_label {
  margin-top: 2px;
  font-weight: bold;
  font-size: 90%;
  margin-bottom: 5px;
}
.matching_input {
  width: 125px;
}
.unselectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor:default;
}

.blurtbox {
  overflow:auto;
  font-family:monospace;
  list-style:none;
  padding-left: 1em;
  margin-right: 1em;
}
.blurtbox p{
  margin-left:1em;
}
.blurtbox h3 {
  font-size: 1.2em;
  width: 98%;
  padding: 0.3em 0 0.3em 2%;
  margin-top: 0;
  margin-bottom: 0.5em;
}
.blurtbox .info h3{
  background-color: #e0e5ff;
  color: #2d40a5;
}
.blurtbox .alert h3{
  background-color: #fbf6ad;
  color: #333;
}
.blurtbox .error h3{
  background-color: #f9cccc;
}
.blurtbox .js_msg {
  margin: 0.5em 1em 2em 2.5em;
  font-style: italic;
}
.blurtbox .blurt {
  width: 95%;
}
.blurtbox .info {
  color: #2d40a5;
}
.blurtbox .alert {
  color: #333;
}
.blurtbox .error {
  color: #bd3a3a;
}
.sml_bttn {
  margin: 2em;
}

/* ---------------- Edit controls ----------------------- */

#beta-note {
  font-variant-caps: all-petite-caps;
  color: #aaa;
  padding-left: 5px;
}
.edit-controls {
    bottom: 1.5em;
}
.edit-controls.loggedIn {
  position: absolute;
  position: relative;
  z-index: 3;
  left:1em;
  height: 0;
  width: 95%;
}
.cntrl-set {
  display: inline;
}
.edit-form {
  display: none;
}
.edit-mode .edit-form {
  display: inline;
}
.slider-pair {
  display:inline-flex;
  margin-right:.5em;
}
.slider {
  float:left;
  border:.2em;
  border-width:.1em;
  border-radius:1em;
  height:1.4em;
  width:3.3em;
  margin:-.1em .3em;
  display: block;
  background-color:#132aa0;
}
.edit-mode .slider {
  background-color:#f4cb42;
}
.knob {
  background-color:white;
  border-radius:1em;
  height:1em;
  width:1em;
  position:relative;
  top:.2em;
  float:left;
  left:.2em;
}
.edit-mode .knob {
  float:right;
  right:.2em;
  left: inherit;
}
.cntrl-set .label {
  font-size: .8em;
  line-height: 1.7em;
  color: #000;
  font-family: sans-serif;
}

/* ---------------- Edit controls - "theme_black" Theme ----------------------- */

.theme_black .slider {
  float:left;
  border:.2em;
  border-width:.1em;
  border-radius:1em;
  height:1.4em;
  width:3.3em;
  margin:-.1em .3em;
  display: block;
  background-color:#3a5bff;
}
.theme_black .edit-mode .slider {
  background-color:#f4cb42;
}

.theme_black .label {
  /* color: #ddd; */
}

/* change label color in command panel */
.theme_black #gclui .label {
  color: #000;
}

.theme_black .subliminal {
  color: #373737;
}

/*------ Background title styles-----*/
/* a color just adjacent to the background color, for just barely visible text in watermarks */

.subliminal {
  color: #D7D7D7;
}
.dataset_watermark.bold1 {
  color: #333333;
  font-weight: bold;
  font-size: 120%;
  display:block;
}
.theme_black .dataset_watermark.bold1 {
  color: #DDDDDD;
}
.dataset_watermark.bold2 {
  color: #333333;
  font-weight: bold;
  font-size: 120%;
  padding-right: 1em;
}
.ontology_watermark.bold2 {
  color: #333333;
}
.theme_black .dataset_watermark.bold2, .theme_black .ontology_watermark.bold2{
  color: #DDDDDD;
}
.dataset_watermark.custom {
  color: #333333;
  font-weight: bold;
  font-size: 120%;
  display:block;
}
.ontology_watermark.custom {
  color: #333333;
  font-size: 100%;
  display:block;
}
.theme_black .dataset_watermark.custom {
  color: #DDDDDD;
}
.theme_black .ontology_watermark.custom {
  color: #DDDDDD;
}

/* cope with absence of =80x80 in npm marked Markdown support */
#logos {
  padding-bottom: 200px;
}


/*------------------ Misc Styles -----------------*/

/* Font size in endpoint autocomplete */
/*

 A MORE PRECISE SELECTOR WOULD BE GOOD
 THIS ONE COLLIDES WITH THE Commands TAB

#ui-id-1 {
  font-size: 0.7em;
}
*/
